## com.google.gwt.user.client.ui
Interface SourcesClickEvents

All Known Implementing Classes:
  Button, ButtonBase, CheckBox, CustomButton, FocusPanel, FocusWidget, HTML, Hyperlink, Image, Label, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton

    public interface SourcesClickEvents

A widget that implements this interface sources the events defined by the `ClickListener` interface.

Method Summary
`void` `addClickListener(ClickListener listener)` Adds a listener interface to receive click events.
`void` `removeClickListener(ClickListener listener)` Removes a previously added listener interface.

Method Detail

### addClickListener

    void addClickListener(ClickListener listener)

  Adds a listener interface to receive click events.

  Parameters:
    `listener` - the listener interface to add

### removeClickListener

    void removeClickListener(ClickListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove